package xyz.wbsite.frame.base;


import java.io.Serializable;

public class SqlTaskEntity implements Serializable {

    /**
     * TASK_NAME - 任务名称
     */
    private String taskName;
    /**
     * TASK_NOTE - 详细注释
     */
    private String taskNote;
    /**
     * 任务类型.
     * Cron:Cron表达式
     * DelayRepeat:间隔重复(秒)
     * FixRepeat:绝对重复(秒)
     */
    private String taskType;
    /**
     * TYPE_VALUE - 任务类型值
     */
    private String typeValue;
    /**
     * TASK_SQL - 任务SQL
     */
    private String taskSql;

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskNote() {
        return taskNote;
    }

    public void setTaskNote(String taskNote) {
        this.taskNote = taskNote;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getTypeValue() {
        return typeValue;
    }

    public void setTypeValue(String typeValue) {
        this.typeValue = typeValue;
    }

    public String getTaskSql() {
        return taskSql;
    }

    public void setTaskSql(String taskSql) {
        this.taskSql = taskSql;
    }
}
